Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.jms
Class AsyncAuditLogProducer

    java.lang.Object
      org.drools.audit.WorkingMemoryLogger
          org.jbpm.process.audit.AbstractAuditLogger
              org.jbpm.process.audit.jms.AsyncAuditLogProducer

All Implemented Interfaces:
  Externalizable, Serializable, EventListener, org.drools.event.AgendaEventListener, org.drools.event.RuleBaseEventListener, org.drools.event.WorkingMemoryEventListener, ProcessEventListener

    public class AsyncAuditLogProducer

extends AbstractAuditLogger

Asynchronous log producer that puts audit log events into JMS queue. It expects to have following objects available before it is fully operational:

- ConnectionFactory - used to create jMS objects required to send a message
- Queue - JMS destination where messages should be placed

It sends TextMessages with content of RuleFlowEvent serialized by Xstream. Such serialization allows:

- use of message selectors to filter which types of events should be processed by different consumer
- use any consumer to process messages - does not have to be default one
- use content based routing in more advanced scenarios

Default receiver is `AsyncAuditLogReceiver` class

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.process.audit.AbstractAuditLogger
`env`

Constructor Summary
`AsyncAuditLogProducer(org.kie.event.KnowledgeRuntimeEventManager session, boolean transacted)`
`AsyncAuditLogProducer(org.drools.WorkingMemory workingMemory, boolean transacted)`

Method Summary
`ConnectionFactory` | `getConnectionFactory()`
`Queue` | `getQueue()`
`void` | `logEventCreated(org.drools.audit.event.LogEvent logEvent)`
`protected void` | `sendMessage(Object messageContent)`
`void` | `setConnectionFactory(ConnectionFactory connectionFactory)`
`void` | `setQueue(Queue queue)`

Methods inherited from class org.jbpm.process.audit.AbstractAuditLogger
`afterProcessCompleted, beforeProcessStarted`

Methods inherited from class org.drools.audit.WorkingMemoryLogger
`activationCancelled, activationCreated, addFilter, afterActivationFired, afterFunctionRemoved, afterNodeLeft, afterNodeTriggered, afterPackageAdded, afterPackageRemoved, afterProcessAdded, afterProcessRemoved, afterProcessStarted, afterRuleAdded, afterRuleBaseLocked, afterRuleBaseUnlocked, afterRuleFlowGroupActivated, afterRuleFlowGroupDeactivated, afterRuleRemoved, afterVariableChanged, agendaGroupPopped, agendaGroupPushed, beforeActivationFired, beforeFunctionRemoved, beforeNodeLeft, beforeNodeTriggered, beforePackageAdded, beforePackageRemoved, beforeProcessAdded, beforeProcessCompleted, beforeProcessRemoved, beforeRuleAdded, beforeRuleBaseLocked, beforeRuleBaseUnlocked, beforeRuleFlowGroupActivated, beforeRuleFlowGroupDeactivated, beforeRuleRemoved, beforeVariableChanged, clearFilters, objectInserted, objectRetracted, objectUpdated, readExternal, removeFilter, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncAuditLogProducer

    public AsyncAuditLogProducer(org.drools.WorkingMemory workingMemory,
                                 boolean transacted)

### AsyncAuditLogProducer

    public AsyncAuditLogProducer(org.kie.event.KnowledgeRuntimeEventManager session,
                                 boolean transacted)

Method Detail

### getConnectionFactory

    public ConnectionFactory getConnectionFactory()

### setConnectionFactory

    public void setConnectionFactory(ConnectionFactory connectionFactory)

### getQueue

    public Queue getQueue()

### setQueue

    public void setQueue(Queue queue)

### logEventCreated

    public void logEventCreated(org.drools.audit.event.LogEvent logEvent)

  Specified by:
    `logEventCreated` in class `org.drools.audit.WorkingMemoryLogger`

### sendMessage

    protected void sendMessage(Object messageContent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.